Bug 847733 - [beta2] [vdsm_bootstrap] failure to create rhevm network over pre-configured VLAN
[beta2] [vdsm_bootstrap] failure to create rhevm network over pre-configured ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
Unspecified Unspecified
urgent Severity urgent
: beta
: ---
Assigned To: Dan Kenigsberg
Meni Yakove
network rhev-3.1
:
: 845944 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 07:30 EDT by Simon Grinberg
Modified: 2013-07-28 20:02 EDT (History)
12 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-30.0
Doc Type: Release Note
Doc Text:
Previously, adding a host which is already attached to a VLAN tagged network failed. The modifications made to the original configuration script for the ethernet device caused it to lose connectivity. This issue has been resolved, allowing the addition of a host that is already attached to a VLAN tagged network.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:05:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Grinberg 2012-08-13 07:30:36 EDT
Description of problem:

When starting with a host that already has pre-configured VLAN configured with static IP, when running the bootstarp connectivity to the host is lost. Going into the hosts shows that all the scripts <interface>, <interface>.<vlan>, rhevm configured with the same static parameters. This causes the hosts to try and use <interface> instead of the VLAN and communication is lost.

Version-Release number of selected component (if applicable):
SI13.2
Updated RHEL6.3 

How reproducible:
1. The host is configured with VLAN tag on the network on which to set the rhevm bridge.
2. Install host from the 'New' host menue

Actual results:
1. During installation, all network scripts on the rhevm chain get the static parameters.
2. Communication with the host breaks since now it tries to get out through the non VLANed interface
3. This is persistent after reboot, the only way to fix is to manually edit em1 and remove static info.
5. After that, and since the rhevm bridge exists, add host works.

Expected results:
Installation to succeed 

Additional info:
Elaborated description:
If I had. em1.51 (configured with static IP) on top of em1
Now I've got all the scripts em1, em1.51, rhevm configured with the same static parameters.

So now I have:

em1       Link encap:Ethernet  HWaddr 18:03:73:4F:8D:B5  
          inet addr:23.2.2.35  Bcast:23.2.2.255  Mask:255.255.255.0
          inet6 addr: fe80::1a03:73ff:fe4f:8db5/64 Scope:Link
          UP BROADCAST RUNNING PROMISC MULTICAST  MTU:1500  Metric:1
          RX packets:10603 errors:0 dropped:0 overruns:0 frame:0
          TX packets:5976 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:10818231 (10.3 MiB)  TX bytes:686493 (670.4 KiB)
          Interrupt:20 Memory:e1a00000-e1a20000

em1.51    Link encap:Ethernet  HWaddr 18:03:73:4F:8D:B5  
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:9693 errors:0 dropped:0 overruns:0 frame:0
          TX packets:5191 errors:0 dropped:8 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:10533531 (10.0 MiB)  TX bytes:652427 (637.1 KiB)


rhevm     Link encap:Ethernet  HWaddr 18:03:73:4F:8D:B5  
          inet addr:23.2.2.35  Bcast:23.2.2.255  Mask:255.255.255.0
          inet6 addr: fe80::1a03:73ff:fe4f:8db5/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:444 errors:0 dropped:0 overruns:0 frame:0
          TX packets:12 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:21290 (20.7 KiB)  TX bytes:720 (720.0 b)


The network scripts before installation:

[root@southern before_inst]# cat ifcfg-em1*
------ifcfg-em1
DEVICE=em1
ONBOOT=yes
HWADDR=18:03:73:4F:8D:B5
NM_CONTROLLED=no
------ifcfg-em1.51
DEVICE=em1.51
ONBOOT=yes
VLAN=yes
NM_CONTROLLED=no
IPV6INIT=no
IPADDR=23.2.2.35
DNS1=23.2.2.1
VLAN=yes
DEFROUTE=yes
PREFIX=24
BOOTPROTO=none
GATEWAY=23.2.2.1


Network scripts after installation - you can see that all 3 have been modified:
[root@southern after_inst]# cat ifcfg-em1* *rhevm
DEVICE=em1
ONBOOT=yes
HWADDR=18:03:73:4F:8D:B5
NM_CONTROLLED=no
IPV6INIT=no
IPADDR=23.2.2.35
DNS1=23.2.2.1
VLAN=yes
DEFROUTE=yes
GATEWAY=23.2.2.1
PREFIX=24
BOOTPROTO=none
ONBOOT=yes
-----------
DEVICE=em1.51
ONBOOT=yes
VLAN=yes
BRIDGE=rhevm
NM_CONTROLLED=no
IPV6INIT=no
IPADDR=23.2.2.35
DNS1=23.2.2.1
VLAN=yes
DEFROUTE=yes
GATEWAY=23.2.2.1
PREFIX=24
BOOTPROTO=none
ONBOOT=yes
------------
DEVICE=rhevm
ONBOOT=yes
TYPE=Bridge
DELAY=0
NM_CONTROLLED=no
IPV6INIT=no
IPADDR=23.2.2.35
DNS1=23.2.2.1
VLAN=yes
DEFROUTE=yes
GATEWAY=23.2.2.1
PREFIX=24
BOOTPROTO=none
ONBOOT=yes

bootstrap log:
The duplication seems to be part of a failed roll back attempt
Mon, 13 Aug 2012 12:26:12 DEBUG    makeBridge found the following bridge paramaters: ['ONBOOT=yes', 'VLAN=yes', 'IPV6INIT=no', 'IPADDR=23.2.2.35', 'DNS1=23.2.2.1', 'VLAN=yes', 'DEFROUTE=yes', 'PREFIX=24', 'BOOTPROTO=none', 'GATEWAY=23.2.2.1']
Mon, 13 Aug 2012 12:26:12 DEBUG    ['/usr/share/vdsm/addNetwork', 'rhevm', '51', '', 'em1', 'ONBOOT=yes', 'VLAN=yes', 'IPV6INIT=no', 'IPADDR=23.2.2.35', 'DNS1=23.2.2.1', 'VLAN=yes', 'DEFROUTE=yes', 'PREFIX=24', 'BOOTPROTO=none', 'GATEWAY=23.2.2.1', 'blockingdhcp=true']
Mon, 13 Aug 2012 12:26:20 DEBUG    
Mon, 13 Aug 2012 12:26:20 DEBUG    INFO:root:Adding network rhevm with vlan=51, bonding=, nics=['em1'], bondingOptions=None, mtu=None, bridged=True, options={'blockingdhcp': 'true', 'IPV6INIT': 'no', 'IPADDR': '23.2.2.35', 'DNS1': '23.2.2.1', 'VLAN': 'yes', 'DEFROUTE': 'yes', 'ONBOOT': 'yes', 'PREFIX': '24', 'BOOTPROTO': 'none', 'GATEWAY': '23.2.2.1'}
WARNING:root:RTNETLINK answers: File exists

libvir: Network Config error : Network not found: no network with matching name 'vdsm-rhevm'

Mon, 13 Aug 2012 12:26:20 DEBUG    makeBridge return.
Comment 2 Simon Grinberg 2012-08-13 11:41:42 EDT
Verified again with a fresh install 

1. Install RHEL6.3 from CD
2. Setup the VLAN network
3. Register to rhn, yum -y update, reboot
4. Add SI13.2 repo 
5. Add the host to rhevm 

I'm getting the same as in comment #0
Comment 3 Simon Grinberg 2012-08-13 11:48:47 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Currently adding a host that has it's management network placed over a VLAN tagged network fails with network disconnect due to modification of the original configuration script for the NIC. To recover go to the host console, restore the original properties id the NIC configuration script, reboot and then add the host gain.
Comment 4 Stephen Gordon 2012-08-13 13:26:32 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,6 @@
-Currently adding a host that has it's management network placed over a VLAN tagged network fails with network disconnect due to modification of the original configuration script for the NIC. To recover go to the host console, restore the original properties id the NIC configuration script, reboot and then add the host gain.+Currently, adding a host which has its management network mapped to a VLAN tagged network fails. The modifications made to the original configuration script for the ethernet device causes it to be discconnect. To work around this issue:
+
+* Log in to the host.
+* Restore the original properties in the network configuration script.
+* Reboot the host.
+* Attempt to add the host from the Red Hat Enterprise Virtualization Manager again.
Comment 5 Stephen Gordon 2012-08-13 13:30:21 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,6 +1,6 @@
-Currently, adding a host which has its management network mapped to a VLAN tagged network fails. The modifications made to the original configuration script for the ethernet device causes it to be discconnect. To work around this issue:
+Currently, adding a host which is already attached to a VLAN tagged network fails. The modifications made to the original configuration script for the ethernet device causes it to be discconnected. To work around this issue:
 
 * Log in to the host.
-* Restore the original properties in the network configuration script.
+* Add the VLAN identifier settings to the network configuration script.
 * Reboot the host.
 * Attempt to add the host from the Red Hat Enterprise Virtualization Manager again.
Comment 6 Stephen Gordon 2012-08-13 13:49:21 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,6 +1,6 @@
-Currently, adding a host which is already attached to a VLAN tagged network fails. The modifications made to the original configuration script for the ethernet device causes it to be discconnected. To work around this issue:
+Currently, adding a host which is already attached to a VLAN tagged network fails. The modifications made to the original configuration script for the ethernet device cause it to lose connectivity. To work around this issue:
 
 * Log in to the host.
-* Add the VLAN identifier settings to the network configuration script.
+* Add the VLAN identifier settings to the updated network configuration script.
 * Reboot the host.
-* Attempt to add the host from the Red Hat Enterprise Virtualization Manager again.+* Attempt to add the host from the Administration Portal again.
Comment 7 Stephen Gordon 2012-08-13 13:51:50 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,6 +1,6 @@
 Currently, adding a host which is already attached to a VLAN tagged network fails. The modifications made to the original configuration script for the ethernet device cause it to lose connectivity. To work around this issue:
 
 * Log in to the host.
-* Add the VLAN identifier settings to the updated network configuration script.
+* Add the VLAN identifier to the updated network configuration script.
 * Reboot the host.
 * Attempt to add the host from the Administration Portal again.
Comment 14 Igor Lvovsky 2012-08-22 08:01:19 EDT
http://gerrit.ovirt.org/#/c/7390/
Comment 16 Meni Yakove 2012-08-23 08:50:25 EDT
Verified on vdsm-4.9.6-30.0.el6_3.x86_64


ifcfg-eth2
DEVICE=eth2
ONBOOT=yes
HWADDR=00:14:5E:17:D4:64
BOOTPROTO=none
NM_CONTROLLED=no
VLAN=yes

ifcfg-eth2.48
DEVICE=eth2.48
ONBOOT=yes
VLAN=yes
BRIDGE=rhevm
BOOTPROTO=none
NM_CONTROLLED=no
VLAN=yes

ifcfg-rhevm
DEVICE=rhevm
ONBOOT=yes
TYPE=Bridge
DELAY=0
IPADDR=10.10.10.2
NETMASK=255.255.255.0
BOOTPROTO=none
NM_CONTROLLED=no
VLAN=yes


brctl show
bridge name     bridge id               STP enabled     interfaces
rhevm           8000.00145e17d464       no              eth2.48


virsh -r net-list
Name                 State      Autostart
-----------------------------------------
vdsm-rhevm           active     yes       



Host is up after installation.
Comment 17 Dan Kenigsberg 2012-08-23 16:29:00 EDT
*** Bug 845944 has been marked as a duplicate of this bug. ***
Comment 19 errata-xmlrpc 2012-12-04 14:05:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.